<?php 
@session_start();

if(isset($_POST["submit"]) && $_POST["submit"] == "Submit")
{
	
	if($_POST["captcha_code"] != $_SESSION["captcha_hash_voice"])
	{
		//failed
		$_SESSION["form_msg"] = "<span style='color:red;'>Security challenge failed!</span>";
		
		header("Location: index.php");
		exit;
	}
	else{
		//passed
		$_SESSION["form_msg"] = "<span style='color:green;'>Security challenge passed!</span>";
		
		header("Location: index.php");
		exit;
	}
}
else{
	$_SESSION["captcha_hash_voice"] = substr(hash('joaat', microtime()), 0, 6);
}

?>
<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<style type="text/css">
	#captcha_img{ display:none; }
	#captcha_code{ width: 180px; }
	#captcha{ border: solid 1px black; float:left; }
	#refresh_img{ cursor:pointer; }
	#play_audio{ cursor:pointer; }
	</style>
	<script src="https://code.jquery.com/jquery-3.6.4.min.js" integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8=" crossorigin="anonymous"></script>
</head>
<body>
	<h1>Canvas Captcha with Voice</h1>
	<?php if(isset($_SESSION["form_msg"])){ echo $_SESSION["form_msg"]; unset($_SESSION["form_msg"]); } ?>
	<img src="images/captcha.jpg" alt="captcha image" id="captcha_img" />
	<form action="" method="POST">
	<canvas id="captcha" width="218" height="60" ></canvas>
	<span >&nbsp;<img src="images/refresh.png" alt="refresh image" id="refresh_img" title="Refresh" /><br/>
	&nbsp;<img src="images/audio.png" alt="play_audio" id="play_audio" title="Play audio" /></span>
	<br /><br />
	<input type="text" name="captcha_code" value="" id="captcha_code" maxlength="6" />
	<input type="submit" name="submit" value="Submit" />
	</form>
	<script src="script/js/script.js"></script>
</body>
</html>