
function drawLines(context)
{
	//random lines
	context.moveTo(0,0);
	context.lineTo(80, 60);
	context.stroke();
	
	context.moveTo(50,0);
	context.lineTo(20, 60);
	context.stroke();
	
	context.moveTo(58, 60);
	context.lineTo(100, 0);
	context.stroke();
	
	context.moveTo(110, 0);
	context.lineTo(140, 60);
	context.stroke();
	
	context.moveTo(120, 60);
	context.lineTo(190, 0);
	context.stroke();
}

function rotateText(context, capArray)
{
	//rotated captcha
	
	context.rotate(10 * Math.PI / 180);
	context.fillText(capArray[0], 35, 40);
	
	context.rotate(5 * Math.PI / 180);
	context.fillText(capArray[1], 59, 35);
	
	context.rotate(-5 * Math.PI / 180);
	context.fillText(capArray[2], 79, 30);
	
	context.rotate(-10 * Math.PI / 180);
	context.fillText(capArray[3], 99, 30);
	
	context.rotate(10 * Math.PI / 180);
	context.fillText(capArray[4], 119, 30);
	
	context.rotate(-5 * Math.PI / 180);
	context.fillText(capArray[5], 134, 25);
	
	context.rotate(-5 * Math.PI / 180);
	context.restore();
}

	var canvasObj = document.getElementById('captcha');
		// we need this to load the font
		var myFont = new FontFace('myFont', 'url(font/Moms_typewriter.ttf)');

		myFont.load().then(function(font){

		  // with canvas, if this is ommited won't work
		  document.fonts.add(font);

		  console.log('Font loaded');

			console.log(canvasObj);
			
			var captchaImage = document.getElementById("captcha_img");
	
			var context = canvasObj.getContext("2d");
			
			context.drawImage(captchaImage,0,0);
				
			context.font='28px myFont';
			
			var capText = '';
			
			jQuery.get("script/getcaptchastring.php", {'action':'fetch'}, function(response){
				
				capText = response;
				
				var capArray = capText.split('');
			
				drawLines(context);
				
				rotateText(context, capArray);
				
				
			});
			
		});			

jQuery(document).ready(function()
{	
	var canvasObj = document.getElementById('captcha');
	
	var captchaImage = document.getElementById("captcha_img");
	
	var context = canvasObj.getContext("2d");
	
	jQuery("#refresh_img").click(function(){
		jQuery.get("script/getcaptchastring.php", {'action':'refresh'}, function(response){
			
			var capArray = response.split('');
			
			context.clearRect(0, 0, canvasObj.width, canvasObj.height);
			
			context.drawImage(captchaImage,0,0);
			
			context.font='28px myFont';
			
			drawLines(context);
			
			rotateText(context, capArray);	
			
		});
	});
	
	//audio
	jQuery("#play_audio").click(function(){
		
		var audioClip = new Audio("script/playback.php?d="+(new Date()).getMilliseconds());
		
		audioClip.load();
		audioClip.play();
		
	});
});